hadoop-common-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Hudson (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (HADOOP-10100) MiniKDC shouldn't use apacheds-all artifact
Date Fri, 15 Nov 2013 00:11:20 GMT

    [ https://issues.apache.org/jira/browse/HADOOP-10100?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=13823150#comment-13823150
] 

Hudson commented on HADOOP-10100:
---------------------------------

SUCCESS: Integrated in Hadoop-trunk-Commit #4745 (See [https://builds.apache.org/job/Hadoop-trunk-Commit/4745/])
HADOOP-10100. MiniKDC shouldn't use apacheds-all artifact. (rkanter via tucu) (tucu: http://svn.apache.org/viewcvs.cgi/?root=Apache-SVN&view=rev&rev=1542123)
* /hadoop/common/trunk/hadoop-common-project/hadoop-common/CHANGES.txt
* /hadoop/common/trunk/hadoop-common-project/hadoop-minikdc/pom.xml
* /hadoop/common/trunk/pom.xml


> MiniKDC shouldn't use apacheds-all artifact
> -------------------------------------------
>
>                 Key: HADOOP-10100
>                 URL: https://issues.apache.org/jira/browse/HADOOP-10100
>             Project: Hadoop Common
>          Issue Type: Bug
>    Affects Versions: 2.3.0
>            Reporter: Robert Kanter
>            Assignee: Robert Kanter
>             Fix For: 2.3.0
>
>         Attachments: HADOOP-10100.patch, HADOOP-10100.patch
>
>
> The MiniKDC currently depends on the {{apacheds-all}} artifact:
> {code:xml}
>     <dependency>
>       <groupId>org.apache.directory.server</groupId>
>       <artifactId>apacheds-all</artifactId>
>       <version>2.0.0-M15</version>
>       <scope>compile</scope>
>     </dependency>
> {code}
> However, this artifact includes, inside of itself, a lot of other packages, including
antlr, ehcache, apache commons, and mina (you can see a full list of the packages in the jar
[here|http://mvnrepository.com/artifact/org.apache.directory.server/apacheds-all/2.0.0-M15]).
 This can be problematic if other projects (e.g. Oozie) try to use MiniKDC and have a different
version of one of those dependencies (in my case, ehcache).  Because the packages are included
inside the {{apacheds-all}} jar, we can't override their version.  
> Instead, we should remove {{apacheds-all}} and use dependencies that only include org.apache.directory.*
packages; the other necessary dependencies should be included normally.



--
This message was sent by Atlassian JIRA
(v6.1#6144)

Mime
View raw message